package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Dbl;
import com.brilliance.isc.bo.bopdecbo.Bopchk;
import com.brilliance.isc.bo.bopdecbo.Upllog;
import com.brilliance.isc.vo.bop.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BoptypMapper {

    List<BopselRespVo> queryBoptypByDba(BopinfoVo bopinfoVo);

    List<BopselRespVo> queryBoptypByDbb(BopinfoVo bopinfoVo);

    List<BopselRespVo> queryBoptypByDbc (BopinfoVo bopinfoVo);

    List<BopselRespVo> queryBoptypByDbd (BopinfoVo bopinfoVo);

    List<BopselRespVo> queryBoptypByDbe (BopinfoVo bopinfoVo);

    List<BopselRespVo> queryBoptypByALL(BopinfoVo bopinfoVo);

    List<BopselRespVo> queryBoptypByDbf (BopinfoVo bopinfoVo);

    List <BopselRespVo>  queryBoptypByDBj (BopinfoVo bopinfoVo);

    List<BopselRespVo> queryBoptypByDbw (BopinfoVo bopinfoVo);

    List<BoprcvVo> queryBoprcv(BopinfoVo bopinfoVo);

    List<Dbl> queryBopmdf(BopinfoVo bopinfoVo);

    List<Bopchk> queryChksel(ChkselVo chkselVo);

    List<Dbl> queryHissel(BopinfoVo bopinfoVo);

    List<Upllog> queryExllog(BopinfoVo bopinfoVo);

    /**
     * 应急导出  dba
     */
    List<BopexpTxtRespVo> expToTxtByDba(BopinfoVo bopinfoVo);

    /**
     * 应急导出  dbb
     */
    List<BopexpTxtRespVo> expToTxtByDbb(BopinfoVo bopinfoVo);

    /**
     * 应急导出  dbc
     */
    List<BopexpTxtRespVo> expToTxtByDbc(BopinfoVo bopinfoVo);


    /**
     * 应急导出  dbd
     */
    List<BopexpTxtRespVo> expToTxtByDbd(BopinfoVo bopinfoVo);

    /**
     * 应急导出  dbe
     */
    List<BopexpTxtRespVo> expToTxtByDbe(BopinfoVo bopinfoVo);

    /**
     * 应急导出  dbf
     */
    List<BopexpTxtRespVo> expToTxtByDbf(BopinfoVo bopinfoVo);

    /**
     *
     */
    List<BopselBackVo> queryBopselBack(BopinfoVo bopinfoVo);
}
